import request from '@/utils/request'

// 查询企业基本信息列表
export function listInformation(query) {
  return request({
    url: '/basicData/xcrEnterpriseBasicInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业基本信息详细
export function getInformation(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterpriseBasicInformation/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业基本信息
export function addInformation(data) {
  return request({
    url: '/basicData/xcrEnterpriseBasicInformation',
    method: 'post',
    data: data
  })
}

// 修改企业基本信息
export function updateInformation(data) {
  return request({
    url: '/basicData/xcrEnterpriseBasicInformation',
    method: 'put',
    data: data
  })
}

// 删除企业基本信息
export function delInformation(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterpriseBasicInformation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
  return request.post('/basicData/xcrEnterpriseBasicInformation/delete',ids)
}
